#324 Game Crashes When Attempting to Load AI and Galaxy

Latest Subversion
closed-fixed
nobody
Client (126)
9
2008-01-24
2008-01-22
No

Windows XP SP2 with the latest Java Runtime that came in the package.

I tried to load up a game from RC6 first and that crashed the client, then when I tried to start a new one with the default galaxy creation parameters it the program hung and was unresponsive.

Discussion

  • MightyGringo

    MightyGringo - 2008-01-22
    • priority: 5 --> 9
     
  • Christopher Glass

    Logged In: YES
    user_id=357035
    Originator: NO

    I'm not sure I understand - I can assure you the game does not have a single line of Java...

    AI scripting uses Python, are you sure you have Python installed?

    - Trib'

     
  • Nobody/Anonymous

    Logged In: NO

    The windows installer adds a redistributable java runtime environment. I don't know what it's for.

    My problem is this:

    Upon first loading the game and seeing the main menu options, I selected Load game(I had a save file from RC6).

    This created a crash error and dropped me back to windows.

    I loaded the game a second time and instead of loading my old save file I started a new game. The hang occurs at this point where it generates the game world at the loading screen. It just stayed like that.

     
  • Geoff Topping

    Geoff Topping - 2008-01-22

    Logged In: YES
    user_id=913462
    Originator: NO

    Regarding loading RC6 saves, don't. There's no guarantee of save game compatibility between versions.

    Regarding hanging when trying to start a game, do you have ZoneAlarm or a similar firewall installed? FreeOrion has been known to have issues where the "allow net access?" popup isn't shown, but the popup hangs the system waiting for a user response that can't be given. If this applies, try running in windowed mode first, allowing the net access (it isn't actually acessing the internet for a local game... it just uses an inter-process communication method that looks like net access to some firewall programs).

    Are you sure it was a java runtime, and not the visual studio 8 runtime files?

     
  • MightyGringo

    MightyGringo - 2008-01-22

    Logged In: YES
    user_id=1988220
    Originator: YES

    The only firewall I use the the Windows SP2 Firewall, when I first loaded RC6 it prompted me to allow or block but still loaded the program. I didn't see or click on that window until I quit FreeOrion and it(RC6) appeared to work fine.

    As for the "Java", you were right it didn't install a Java Envoriment it put on a 2008 C++ Runtime Redistributable, sorry for misleading you.

    With RC7 there was no block/allow dialog box, I assumed that it was using the same exceptions/permissions as RC6 in the firewall.

     
  • Geoff Topping

    Geoff Topping - 2008-01-23

    Logged In: YES
    user_id=913462
    Originator: NO

    My best guess is that you're missing some Python dlls. These were in the RC6 distributable, but have apparently been left out of RC7. tzlaine has said he is going to fix this, hopefully soon.

    In the meantime, if you don't have Python 2.5 already installed, you can download it and install it.

    Also, can you check in

    C:\Documents and Settings\UserName\Application Data\FreeOrion

    and look in the .log files? The most recently modified ones with names like "AI_###.log" are the AI program's logs from the last time an AI was started. If there's anything in there, please post it here, or let me know that it's empty or missing altogether.

    Also, please look for freeoriond.log, which is the server log, and see if there's anything in there about a crash or not being able to start AI processes... or anything else looking interesting.

     
  • Anonymous

    Anonymous - 2008-01-23

    Logged In: YES
    user_id=1445378
    Originator: NO

    Make sure you have python25.dll in your freeorion directory.

     
  • MightyGringo

    MightyGringo - 2008-01-23

    Logged In: YES
    user_id=1988220
    Originator: YES

    I installed Python and the game seems to boot properly now.

    I don't see a Python25.dll in the freeorion directory anywhere.

    As for the logs --

    AI_742.log

    2008-01-22 01:26:24,828 DEBUG AI : AI Log : fleet_ids_list: []
    2008-01-22 01:26:24,828 DEBUG AI : AIInterface::DoneTurn()
    2008-01-22 01:26:50,859 DEBUG AI : AI Log : Generating Orders
    2008-01-22 01:26:50,859 DEBUG AI : AI Log : GetEmpireFleetIDs
    2008-01-22 01:26:50,859 DEBUG AI : AI Log : fleet_ids_list: []
    2008-01-22 01:26:50,890 DEBUG AI : AIInterface::DoneTurn()
    2008-01-22 01:27:23,796 FATAL AI : Initiating Exit (code 1 - error termination) < ----
    2008-01-22 01:27:25,437 DEBUG AI : SDLQuit() complete.

    freeoriond.log

    2008-01-22 19:19:29,843 DEBUG Server : WaitingForTurnEnd.TurnOrders : Received orders from player 2
    2008-01-22 19:19:29,859 DEBUG Server : WaitingForTurnEnd.TurnOrders : Received orders from player 1
    2008-01-22 19:19:29,859 DEBUG Server : WaitingForTurnEnd.TurnOrders : Received orders from player 4
    2008-01-22 19:19:29,859 DEBUG Server : WaitingForTurnEnd.TurnOrders : Received orders from player 3
    2008-01-22 19:19:56,046 DEBUG Server : WaitingForTurnEnd.TurnOrders : Received orders from player 0
    2008-01-22 19:19:56,046 DEBUG Server : WaitingForTurnEnd.TurnOrders : All orders received. Processing turn....
    2008-01-22 19:19:59,187 DEBUG Server : WaitingForTurnEnd.TurnOrders : Received orders from player 2
    2008-01-22 19:19:59,296 DEBUG Server : WaitingForTurnEnd.TurnOrders : Received orders from player 4
    2008-01-22 19:19:59,906 DEBUG Server : WaitingForTurnEnd.TurnOrders : Received orders from player 1
    2008-01-22 19:20:00,000 DEBUG Server : WaitingForTurnEnd.TurnOrders : Received orders from player 3
    2008-01-22 19:21:06,171 DEBUG Server : ServerFSM::HandleNonLobbyDisconnection : Host player disconnected; server terminating. <-----

     
  • Geoff Topping

    Geoff Topping - 2008-01-24

    Logged In: YES
    user_id=913462
    Originator: NO

    If Python installation fixes things, then this bug is fixed, as Python has reportedly been added to the installer.

     
  • Geoff Topping

    Geoff Topping - 2008-01-24
    • status: open --> closed-fixed
     

Log in to post a comment.